2017-08-21 07:30 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002403OpenFOAMFeaturepublic2017-01-03 11:31
Reporterwyldckat 
Assigned Tochris 
PrioritylowSeveritytextReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0002403: Request: Explicit message for new users on how to use the bug tracking platform
DescriptionGiven the recent influx of people pretty much looking for user support, instead of reporting bugs or feature requests, this feature request is so that a description is given to new users when they sign up, using the text given at http://openfoam.org/dev/ or referring them to it, before they post a new bug report.

I believe one of the possibilities in Mantis is to set-up an introductory message on the main page of the bug tracker, but I don't know if Mantis provides any other similar features just for showing newcomers said message for the first 2-10 times they report issues.

Either that, or an easy to find page at openfoam.org to refer newcomers to. The pages http://openfoam.org/dev/ and http://openfoam.org/dev/how-to-contribute/ do give some information, but there is no clear message regarding "bug tracker is not for user support" :(
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007520

chris (manager)

Something on the front page would be best. I cannot find any obvious way of doing this in Mantis. Any suggestions?

~0007541

wyldckat (updater)

I've done some investigation and testing into how MantisBT does things. There are two possible options I've tested:

 1. Using the Announcements plugin: https://github.com/mantisbt-plugins/announce
    It also requires the jQuery plugin: https://github.com/mantisbt-plugins/jquery

    - It can be a permanent announcement or shown once per user, until the user turns it off in the X icon on the top left (shown in the attached image "announce_example.png").

    - It has HTML class specifications "announcement announcement-header", so it can be stylized with CSS.

    - But it cannot provide links in the announcement text :(


 2. Adding a footer that only appears in the login page. To do this:

   a. Edit the file 'config_inc.php'.

   b. Add the option:

          $g_bottom_include_page = 'footer.php';

   c. Create the file 'footer.php' with something like this:

          <?php if( is_page_name( 'login_page.php' ) ) { ?>

          <div align=center>This Issue Tracker for the OpenFOAM project was designed for reporting bugs, reporting problems in installing OpenFOAM, to receive development contributions and for feature requests. Please do not use this platform to ask questions and request support.</div>

          <?php } ?>

   d. You could also add the check for showing when signing up as well:

          <?php if( is_page_name( 'login_page.php' ) || is_page_name( 'signup_page.php' ) ) { ?>



Adding the footer gives more control, although it may require more formatting.

~0007542

wyldckat (updater)

Interesting... the HTML bold markers were rendered in the previous comment... I wonder if italic works: testing

~0007583

wyldckat (updater)

I see that you're testing it out... but the title "This is a forum for posting issues with OpenFOAM" will result in 30-50% assuming this is a forum like the one at http://www.cfd-online.com/Forums/openfoam/

May I suggest instead: "This is a platform for reporting issues with OpenFOAM"

~0007584

chris (manager)

Thanks for the "announce" plugin suggestion. The plugin is out of date (for Mantis 1.2, not 1.3) and I had to remove the dependencies in the code to get it to run. It does not allow me to edit announcements so I have to delete and start again.

Let's see how the current statement works and we can adjust if people do not get the message. The message does give us "license" to delete support questions, however, so it should help to avoid time being wasted.

~0007585

chris (manager)

Resolved for now.
+Notes

-Issue History
Date Modified Username Field Change
2016-12-18 23:28 wyldckat New Issue
2016-12-18 23:28 wyldckat Status new => assigned
2016-12-18 23:28 wyldckat Assigned To => chris
2016-12-19 11:02 chris Note Added: 0007520
2016-12-21 00:01 wyldckat File Added: announce_example.png
2016-12-21 00:01 wyldckat Note Added: 0007541
2016-12-21 00:03 wyldckat Note Added: 0007542
2017-01-03 11:11 wyldckat Note Added: 0007583
2017-01-03 11:30 chris Note Added: 0007584
2017-01-03 11:31 chris Status assigned => resolved
2017-01-03 11:31 chris Resolution open => fixed
2017-01-03 11:31 chris Note Added: 0007585
+Issue History